module misc.Location;

import misc.DataSource;

import Integer = tango.text.convert.Integer,
       tango.text.Util;

struct Location
{
    uint position;
    DataSource source;

    char[] toString ()
    {
        int lineNumber = split(source.get(0, position), "\n").length;
        return Integer.toString(lineNumber) ~" in "~source.name;
    }

    char[] get(uint length)
    {
        return source.get(position, length);
    }
}
